package com.zhongshu.reward.client.model.wallet;

import com.zhongshu.reward.client.type.ReceiptsStatus;
import com.zhongshu.reward.client.type.ReceiptsType;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wjf
 * @date 2024/8/6
 */
@Data
public class WalletReceiptsModel {

    private String id;

    private Long createTime;

    private Long updateTime;;
    /**
     * 钱包
     */
    private String walletId;

    /**
     * 预计到账时间
     */
    private Long estimatedTime;

    /**
     * 实际到账时间
     */
    private Long receiptsTime;

    /**
     * 到账类型
     */
    private ReceiptsType receiptsType;

    /**
     * 到账金额
     */
    private BigDecimal total = BigDecimal.ZERO;

    /**
     * 状态
     */
    private ReceiptsStatus status;

    /**
     * 外部订单号
     */
    private String outTradeNo;

}
